## com.puppycrawl.tools.checkstyle
Class CheckStyleTask.Property

    java.lang.Object
      com.puppycrawl.tools.checkstyle.CheckStyleTask.Property

Enclosing class:
  CheckStyleTask

    public static class CheckStyleTask.Property

extends Object

Represents a property that consists of a key and value.

Constructor Summary
`CheckStyleTask.Property()`

Method Summary
`String` `getKey()`
`String` `getValue()`
`void` `setFile(File aValue)`
`void` `setKey(String aKey)`
`void` `setValue(String aValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CheckStyleTask.Property

    public CheckStyleTask.Property()

Method Detail

### getKey

    public String getKey()

  Returns:
    the property key

### setKey

    public void setKey(String aKey)

  Parameters:
    `aKey` - sets the property key

### getValue

    public String getValue()

  Returns:
    the property value

### setValue

    public void setValue(String aValue)

  Parameters:
    `aValue` - set the property value

### setFile

    public void setFile(File aValue)

  Parameters:
    `aValue` - set the property value from a File

Copyright © 2001-2011. All Rights Reserved.